OpenVDB 13.0.0

Loading...
Searching...
No Matches
MaskCompress< ValueT, MaskT > Struct Template Reference

`#include <openvdb/io/Compression.h>`

## Public Member Functions
| MaskCompress (const MaskT &valueMask, const MaskT &childMask, const ValueT *srcBuf, const ValueT &background)

## Static Public Member Functions
static bool | eq (const ValueT &a, const ValueT &b)

## Public Attributes
int8_t | metadata = NO_MASK_AND_ALL_VALS
ValueT | inactiveVal [2]

## Constructor & Destructor Documentation

## ◆ MaskCompress()

template<typename ValueT, typename MaskT>

MaskCompress | ( | const MaskT & | valueMask,
|  | const MaskT & | childMask,
|  | const ValueT * | srcBuf,
|  | const ValueT & | background )
| inline

## Member Function Documentation

## ◆ eq()

template<typename ValueT, typename MaskT>

bool eq | ( | const ValueT & | a,
|  | const ValueT & | b )
| inline static

## Member Data Documentation

## ◆ inactiveVal

template<typename ValueT, typename MaskT>

ValueT inactiveVal[2]

## ◆ metadata

template<typename ValueT, typename MaskT>

int8_t metadata = NO_MASK_AND_ALL_VALS